---
metadata:
  - name: generator
    content: Diplodoc Platform v5.46.1
alternate:
  - https://yandex.com.tr/support/wiki/en/api-ref/pages/pages__clone_page.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/wiki/en/llms.txt

<div class="openapi">

# Clone Page

<!-- markdownlint-disable-file -->

Copies a page to a new address.

This is an asynchronous operation. If all checks pass, the response contains information on how to check the operation status.

Validation error codes (error_code)
- `IS_CLOUD_PAGE`: cloud pages cannot be cloned
- `SLUG_OCCUPIED`: after cloning, the page conflicts with an existing page
- `SLUG_RESERVED`: cloning to reserved pages is not allowed
- `FORBIDDEN`: no access to the source page or to the cluster the page is being cloned into
- `QUOTA_EXCEEDED`: the page creation limit for the current organization has been reached
- `CLUSTER_BLOCKED`: the cluster is temporarily blocked for migration.

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-post);margin-bottom: 12px">

<div class="openapi__request">

POST {.openapi__method}
```text translate=no
https://api.wiki.yandex.net/v1/pages/{idx}/clone
```

</div>

</div>

</div>

### Path parameters

#|
|| **Name** | **Description** ||
||

_idx_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer
{.table-cell}
||
|#{.json-schema-properties}

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "target": "example",
  "title": "example",
  "subscribe_me": false
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_target_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

The page slug after cloning

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_subscribe_me_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: boolean

Subscribe to changes

_Default:_{.json-schema-reset .json-schema-value} `false`
{.table-cell}
||
||

_title_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

If provided, the page title after cloning

_Min length:_{.json-schema-reset .json-schema-assertion} `1`

_Max length:_{.json-schema-reset .json-schema-assertion} `255`

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

## Responses

<div class="openapi__response__code__200">

## 200 OK

OK

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "operation": {
    "type": "clone",
    "id": "example"
  },
  "dry_run": false,
  "status_url": "example"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_operation_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [B2BOperationIdentity](#entity-B2BOperationIdentity)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "type": "clone",
  "id": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_status_url_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

The URL where the operation progress is returned

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_dry_run_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: boolean

_Default:_{.json-schema-reset .json-schema-value} `false`
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### B2BOperationType {#entity-B2BOperationType}

An enumeration.

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `clone`, `clone_inline_grid`

</div>

<div class="openapi-entity">

### B2BOperationIdentity {#entity-B2BOperationIdentity}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_type_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [B2BOperationType](#entity-B2BOperationType)

An enumeration.

_Enum:_{.json-schema-reset .json-schema-value} `clone`, `clone_inline_grid`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "type": "clone",
  "id": "example"
}
```

{% endcut %}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.